| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
Contact.php File Reference

## Functions
| rconnect_url ($channel_id, $xchan)
| abook_connections ($channel_id, $sql_conditions= '')
| abook_self ($channel_id)
| channelx_by_nick ($nick)
| channelx_by_hash ($hash)
| channelx_by_n ($id)
| vcard_from_xchan ($xchan, $observer=null, $mode= '')
| abook_toggle_flag ($abook, $flag)
| user_remove ($uid)
| account_remove ($account_id, $local=true, $unset_session=true)
| channel_remove ($channel_id, $local=true, $unset_session=true)
| mark_orphan_hubsxchans ()
| remove_all_xchan_resources ($xchan, $channel_id=0)
| contact_remove ($channel_id, $abook_id)
| random_profile ()

## Function Documentation

abook_connections | ( |  | $channel_id,
|  |  | $sql_conditions = `''`
| ) |  |

abook_self | ( |  | $channel_id | ) |

Referenced by photos_post().

abook_toggle_flag | ( |  | $abook,
|  |  | $flag
| ) |  |

Referenced by connedit_content().

account_remove | ( |  | $account_id,
|  |  | $local = `true`,
|  |  | $unset_session = `true`
| ) |  |

Referenced by admin_page_users(), admin_page_users_post(), and removeaccount_post().

channel_remove | ( |  | $channel_id,
|  |  | $local = `true`,
|  |  | $unset_session = `true`
| ) |  |

Referenced by account_remove(), admin_page_channels(), admin_page_channels_post(), and removeme_post().

channelx_by_hash | ( |  | $hash | ) |

channelx_by_n | ( |  | $id | ) |

Referenced by handle_feed(), and widget_photo_albums().

channelx_by_nick | ( |  | $nick | ) |

Referenced by photos_init().

contact_remove | ( |  | $channel_id,
|  |  | $abook_id
| ) |  |

Referenced by connedit_content(), diaspora_retraction(), post_post(), and process_channel_sync_delivery().

mark_orphan_hubsxchans | ( |  | ) |

mark any hubs "offline" that haven't been heard from in more than 30 days Allow them to redeem themselves if they come back later. Then go through all those that are newly marked and see if any other hubs are attached to the controlling xchan that are still alive. If not, they're dead (although they could come back some day).

Referenced by poller_run().

random_profile | ( |  | ) |

Referenced by randprof_init().

rconnect_url | ( |  | $channel_id,
|  |  | $xchan
| ) |  |

Referenced by profile_sidebar().

remove_all_xchan_resources | ( |  | $xchan,
|  |  | $channel_id = `0`
| ) |  |

Referenced by post_post().

user_remove | ( |  | $uid | ) |

vcard_from_xchan | ( |  | $xchan,
|  |  | $observer = `null`,
|  |  | $mode = `''`
| ) |  |

Referenced by widget_vcard().